<?php
    include "config.php";
    include "../admin/models/About.php";
    include "../admin/models/Image.php";

    include "../admin/services/AboutService.php";
    include "../admin/services/ImageService.php";

    $about_service = new AboutService($db);
    $image_service = new ImageService($db);

    /* About Section */

    $about_result = $about_service->get();

    $about = new About(
        $about_result["id"],
        $about_result["image"],
        $about_result["description"],
        $about_result["content"]
    );

    $object = $image_service->get($about->image);
    
    $about_image = new Image(
        $object["id"],
        $object["caption"],
        $object["filename"]
    );

    /* About Section */

?>